catalog:
  title: ROS OpenNI Camera

templates:
- github
- freestyle
- base

variables:
  keywords:
  - ros
  - openni

  github.user: ros-drivers
  github.project: openni_camera

  branches:
  - hydro
  - rollback_usb_hydro
  - indigo-devel

  extra-requires:
  - nature: freestyle
    target: openni

  shell.command: |
    if [ -f ${toolkit.dir}/setup.sh ]; then
      . ${toolkit.dir}/setup.sh
    else
      . /opt/ros/${ros}/setup.sh
    fi
    export prefix=${toolkit.dir}
    export CMAKE_PREFIX_PATH=\$CMAKE_PREFIX_PATH:\$prefix
    export PKG_CONFIG_PATH=\$PKG_CONFIG_PATH:\$prefix/lib/pkgconfig
    sed -i 's\$string/replace.hpp>\$string/replace.hpp>\n#include <log4cxx/logger.h>\$g' src/nodelets/driver.cpp
    # sed -i '/{LOG4CXX_LIBRARIES}/i ${toolkit.dir}/usr/lib/libOpenNi.so' CMakeLists.txt
    mkdir -p build && cd build
    cmake .. -DCMAKE_INSTALL_PREFIX=${toolkit.dir}
    make install

versions:
- name: hash-robocup-2016-champion
  variables:
    commit: d6c0349fa9a7fc0fdb0bf3a6d06eb91628c86813
